unit DinoGraph;

interface

uses
  Graphics;

procedure PutPixel(X, Y : integer; Pixel : word);

var
  VirtualScreen: TBitmap;

implementation

procedure PutPixel(X, Y : integer; Pixel : word);
const
  Colors16_0  = $000000; // 
  Colors16_1  = $800000; // 
  Colors16_2  = $008000; // 
  Colors16_3  = $808000; // -
  Colors16_4  = $000080; // 
  Colors16_5  = $800080; // 
  Colors16_6  = $008080; // 
  Colors16_7  = $A0A0A0; // 
  Colors16_8  = $808080; //   ()
  Colors16_9  = $FF0000; //  
  Colors16_10 = $00FF00; //  
  Colors16_11 = $FFFF00; //  -
  Colors16_12 = $0000FF; //  
  Colors16_13 = $FF00FF; //  
  Colors16_14 = $00FFFF; //  
  Colors16_15 = $FFFFFF; //  

  Colors16: array [0..15] of Integer = (
    Colors16_0, Colors16_1, Colors16_2, Colors16_3, Colors16_4, Colors16_5,
    Colors16_6, Colors16_7, Colors16_8, Colors16_9, Colors16_10, Colors16_11,
    Colors16_12, Colors16_13, Colors16_14, Colors16_15
  );
begin
  VirtualScreen.Canvas.Pixels[X, Y] := Colors16[Pixel and $0F];
end;

initialization
  VirtualScreen := TBitmap.Create;

finalization
  VirtualScreen.Free;

end.
